Bug 190676 - [exp-run] GNOME 3
Summary: [exp-run] GNOME 3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks: 194038
  Show dependency treegraph
 
Reported: 2014-06-05 21:02 UTC by Koop Mast
Modified: 2014-11-19 14:01 UTC (History)
4 users (show)

See Also:
antoine: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2014-06-05 21:02:43 UTC
Meta bug to keep track of issue to be resolved to get GNOME 3 in ports.
Comment 1 Koop Mast freebsd_committer 2014-09-29 20:19:43 UTC
I request a exp-run to test the update to gnome3, and check for regressions with the updated glib/gtk.

I am aware that there still issues left in ports before the import can actual happen, but before I tackle those that I know of I would like a complete list to work with.

http://people.freebsd.org/~kwm/gnome-3.12-2.diff
SHA512 (gnome-3.12-2.diff) = 0ad18402ad2a1bea67a9b02fa155e7fd51fcdc92a1a3600c75918003c8c9c09efa0baf3433df1264b16acd914678c4259a01aa178374b8a7df4f1b3b8a469c16

The patch was made with --show-copies-as-adds on rev 369552. The minimal required ports tree rev is 369551, since it contains a that gnome3 needs.
Comment 2 Antoine Brodin freebsd_committer 2014-09-29 22:05:52 UTC
Take for exp-run
Comment 3 Antoine Brodin freebsd_committer 2014-09-30 23:46:25 UTC
Exp-run results:

http://package18.nyi.freebsd.org/build.html?mastername=head-amd64-default-PR190676&build=2014-09-30_00h01m24s

New ports ignored:

+ {"origin"=>"audio/rhythmbox", "pkgname"=>"rhythmbox-0.12.8_18", "reason"=>"cannot install: Unknown component nautilus2"}
+ {"origin"=>"deskutils/global-menu", "pkgname"=>"gnome-globalmenu-0.7.10_4", "reason"=>"cannot install: Unknown component gnomedesktop"}
+ {"origin"=>"deskutils/labyrinth", "pkgname"=>"labyrinth-0.5_3", "reason"=>"cannot install: Unknown component gnomedesktop"}
+ {"origin"=>"deskutils/libopensync-plugin-evolution2", "pkgname"=>"libopensync-plugin-evolution2-0.22_9", "reason"=>"cannot install: Unknown component evolutiondataserver"}
+ {"origin"=>"deskutils/libopensync-plugin-evolution2-devel", "pkgname"=>"libopensync-plugin-evolution2-devel-0.39_1", "reason"=>"cannot install: Unknown component evolutiondataserver"}
+ {"origin"=>"devel/bug-buddy", "pkgname"=>"bug-buddy-2.32.0_5", "reason"=>"cannot install: Unknown component evolutiondataserver"}
+ {"origin"=>"misc/xmonad-log-applet", "pkgname"=>"xmonad-log-applet-2.0.0_1", "reason"=>"cannot install: Unknown component gnomepanel"}
+ {"origin"=>"net/gnome-netstatus", "pkgname"=>"gnome-netstatus-2.28.2_1", "reason"=>"cannot install: Unknown component gnomepanel"}
+ {"origin"=>"ports-mgmt/gnome-packagekit", "pkgname"=>"gnome-packagekit-2.32.0_5", "reason"=>"cannot install: Unknown component gnomemenus"}
+ {"origin"=>"sysutils/gnome-system-tools", "pkgname"=>"gnome-system-tools-2.32.0_3", "reason"=>"cannot install: Unknown component nautilus2"}
+ {"origin"=>"www/evolution-webcal", "pkgname"=>"evolution-webcal-2.32.0_3", "reason"=>"cannot install: Unknown component evolutiondataserver"}
+ {"origin"=>"x11-toolkits/eel", "pkgname"=>"eel-2.26.0_9", "reason"=>"cannot install: Unknown component gnomedesktop"}
+ {"origin"=>"x11-toolkits/gnome-sharp20", "pkgname"=>"gnome-sharp-2.24.2_3", "reason"=>"cannot install: Unknown component gnomepanel"}
+ {"origin"=>"x11-toolkits/libpanelappletmm", "pkgname"=>"libpanelappletmm-2.26.0_7", "reason"=>"cannot install: Unknown component gnomepanel"}
+ {"origin"=>"x11-wm/compiz", "pkgname"=>"compiz-0.8.8_1", "reason"=>"cannot install: Unknown component gnomecontrolcenter2"}
+ {"origin"=>"x11/avant-window-navigator-gnome", "pkgname"=>"avant-window-navigator-gnome-0.3.2.1_8", "reason"=>"cannot install: Unknown component gnomedesktop"}
+ {"origin"=>"x11/gnome-applets", "pkgname"=>"gnome-applets-2.32.1.1_6", "reason"=>"cannot install: Unknown component gnomepanel"}
+ {"origin"=>"x11/gnome-panel", "pkgname"=>"gnome-panel-2.32.1_7", "reason"=>"cannot install: Unknown component evolutiondataserver"}
+ {"origin"=>"x11/gnome-pie", "pkgname"=>"gnome-pie-0.5.5_3", "reason"=>"cannot install: Unknown component gnomemenus"}
+ {"origin"=>"x11/gnome-screensaver", "pkgname"=>"gnome-screensaver-2.30.2_5", "reason"=>"cannot install: Unknown component gnomedesktop"}
+ {"origin"=>"x11/gnome-swallow", "pkgname"=>"gnome-swallow-1.2_11", "reason"=>"cannot install: Unknown component gnomepanel"}


New port failures:

+ {"origin"=>"audio/denemo", "pkgname"=>"denemo-1.1.8_3", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"audio/gimmix", "pkgname"=>"gimmix-0.5.7.1_6", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/gqmpeg", "pkgname"=>"gqmpeg-0.20.0_11,2", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/last.fm", "pkgname"=>"last.fm-1.5.4.26862_4", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"audio/padevchooser", "pkgname"=>"padevchooser-0.9.3_7", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"audio/raop_play", "pkgname"=>"raop_play-0.5.1_9", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"audio/soundtracker", "pkgname"=>"soundtracker-0.6.8_15", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/xmms-ahx", "pkgname"=>"xmms-ahx-0.6_6", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/xmms-curses", "pkgname"=>"xmms-curses-0.2.2_6", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/xmms-faad", "pkgname"=>"xmms-faad2-2.7_4", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/xmms-festalon", "pkgname"=>"xmms-festalon-0.5.5_10", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/xmms-gbsplay", "pkgname"=>"xmms-gbsplay-0.0.8_7", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/xmms-ladspa", "pkgname"=>"xmms-ladspa-1.1_4", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/xmms-mailnotify", "pkgname"=>"xmms-mailnotify-0.2.0_9", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/xmms-nas", "pkgname"=>"xmms-nas-0.2_5", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/xmms-sapplug", "pkgname"=>"xmms-sapplug-0.3.f_4", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/xmms-sexypsf", "pkgname"=>"xmms-sexypsf-0.4.8_4", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/xmms-shn", "pkgname"=>"xmms-shn-2.4.1_5", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/xmms-timidity", "pkgname"=>"xmms-timidity-0.0.3_2", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/xmms-volnorm", "pkgname"=>"xmms-volnorm-0.8.3_6", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"audio/xmms-xymms", "pkgname"=>"xmms-xymms-0.9.1_6", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"comms/gscmxx", "pkgname"=>"gscmxx-0.4.1_9", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"deskutils/gnome-shell-extension-recent-items", "pkgname"=>"gnome-shell-extension-recent-items-0.0.0.20140903", "phase"=>"fetch", "errortype"=>"fetch"}
+ {"origin"=>"deskutils/steadyflow", "pkgname"=>"steadyflow-0.2.0_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/giggle", "pkgname"=>"giggle-0.7_1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/glibmm-reference", "pkgname"=>"glibmm-reference-2.40.0_1,1", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/libdbusmenu", "pkgname"=>"libdbusmenu-12.10.2", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/libgit2-glib", "pkgname"=>"libgit2-glib-0.0.20_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/p5-Goo-Canvas", "pkgname"=>"p5-Goo-Canvas-0.06_4", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"devel/upp", "pkgname"=>"upp-5485_2", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"editors/conglomerate", "pkgname"=>"conglomerate-0.9.1_12", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"editors/lazarus", "pkgname"=>"lazarus-1.2.4_1", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"games/freedoko", "pkgname"=>"freedoko-0.7.12_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/plutocracy", "pkgname"=>"plutocracy-0.0.20081229_5", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"graphics/chbg", "pkgname"=>"chbg-1.5_15", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"graphics/danpei", "pkgname"=>"danpei-2.9.7_11", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"graphics/fpc-fpgtk", "pkgname"=>"fpc-fpgtk-2.6.4_1", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"graphics/gtkdps", "pkgname"=>"gtkdps-0.3.4_8", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"graphics/xzgv", "pkgname"=>"xzgv-0.9_3", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"japanese/ebview-gtk2", "pkgname"=>"ja-ebview-gtk2-0.3.6_17", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"korean/ami", "pkgname"=>"ko-ami-1.2.3_2", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"mail/gbuffy", "pkgname"=>"gbuffy-0.2.6_7", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"multimedia/dv2jpg", "pkgname"=>"dv2jpg-1.1_12", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"net-im/pidgin-skype", "pkgname"=>"pidgin-skype-0.0.0.664_1", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"net-mgmt/virt-viewer", "pkgname"=>"virt-viewer-0.5.7_3", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net-p2p/gtkhx", "pkgname"=>"gtkhx-0.9.4_7", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"net-p2p/retroshare", "pkgname"=>"retroshare-0.5.5c_3", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"net/netdude", "pkgname"=>"netdude-0.5.1_2", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"sysutils/bamf", "pkgname"=>"bamf-0.5.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"sysutils/tracker-libtrackergtk", "pkgname"=>"tracker-libtrackergtk-0.6.95_23", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"www/deforaos-surfer", "pkgname"=>"deforaos-surfer-0.2.6_2", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"www/gnome-user-share", "pkgname"=>"gnome-user-share-3.10.1_3", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"www/vimb", "pkgname"=>"vimb-2.6_1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/xombrero", "pkgname"=>"xombrero-1.6.3_2", "phase"=>"build", "errortype"=>"linker_error"}

More than half of the failures are due to gtk12 / glib12 changes in bsd.gnome.mk

I can do a 2nd run with glib12/gtk12 fixed when you have a new patch
Comment 4 Koop Mast freebsd_committer 2014-10-03 19:47:24 UTC
Fix glib12 and gtk12 LIB_DEPENDS lines in bsd.gnome.mk
Fix a number of compile problems related to glib20 chances or vala update.

No idea why libgit2-glib breaks, we can't reproduce on recent HEAD.

https://people.freebsd.org/~kwm/gnome-3.12-3.diff
SHA512 (gnome-3.12-3.diff) = 51ba0a7363cc55f539623b2ba96cbdbedb00142dd1a69a1dcec727a34bee72bd902232a7f127dcaf9e695c10fb08cf6516ca83db4099fd85f9cc3aed02205069
Comment 5 Olivier Duchateau freebsd_committer 2014-10-03 22:36:21 UTC
I'm maintainer of sysutils/bamf, in my own repo, I've fix for clang, it's not bug due to Vala.

I use Vala 0.24.0 (in production) and 0.26.0 (in test).
Comment 6 Tijl Coosemans freebsd_committer 2014-10-04 09:42:45 UTC
(In reply to Koop Mast from comment #4)
> Fix glib12 and gtk12 LIB_DEPENDS lines in bsd.gnome.mk

I think it's still incorrect.  You need to remove this hunk from the patch:

@@ -203,14 +205,14 @@
 esound_MAKE_ENV=	ESD_CONFIG="${ESD_CONFIG}"
 esound_DETECT=		${ESD_CONFIG}
 
-GLIB_CONFIG?=		${LOCALBASE}/bin/glib-config
-glib12_LIB_DEPENDS=	libglib.so:${PORTSDIR}/devel/glib12
+GLIB_CONFIG?=		${LOCALBASE}/bin/glib12-config
+glib12_LIB_DEPENDS=	libglib-1.2.so:${PORTSDIR}/devel/glib12
 glib12_CONFIGURE_ENV=	GLIB_CONFIG="${GLIB_CONFIG}"
 glib12_MAKE_ENV=	GLIB_CONFIG="${GLIB_CONFIG}"
 glib12_DETECT=		${GLIB_CONFIG}
 
-GTK_CONFIG?=		${LOCALBASE}/bin/gtk-config
-gtk12_LIB_DEPENDS=	libgtk.so:${PORTSDIR}/x11-toolkits/gtk12
+GTK_CONFIG?=		${LOCALBASE}/bin/gtk12-config
+gtk12_LIB_DEPENDS=	libgtk-1.2.so:${PORTSDIR}/x11-toolkits/gtk12
 gtk12_CONFIGURE_ENV=	GTK_CONFIG="${GTK_CONFIG}"
 gtk12_MAKE_ENV=		GTK_CONFIG="${GTK_CONFIG}"
 gtk12_DETECT=		${GTK_CONFIG}
Comment 7 Antoine Brodin freebsd_committer 2014-10-05 15:09:04 UTC
Please re-assign to me when you have a patch that passes make index
Comment 8 Antoine Brodin freebsd_committer 2014-10-19 18:52:13 UTC
There is no track of what was wrong with the gnome-3.12-3.diff patch, so i put it here:

- Problems with gtk12/glib12 in bsd.gnome.mk

- The following ports were not hooked to the bulk:

        deskutils/baobab
        deskutils/bijiben
        deskutils/california
        deskutils/gnome-clocks
        deskutils/gnome-contacts
        deskutils/gnome-dictionary
        deskutils/gnome-documents
        deskutils/gnome-epub-thumbnailer
        deskutils/gnome-font-viewer
        deskutils/gnome-initial-setup
        deskutils/gnome-maps
        deskutils/gnome-photos
        deskutils/gnome-screenshot
        deskutils/gnome-search-tool
        deskutils/gnome-shell-extension-audio-output-switcher
        deskutils/gnome-shell-extension-backslide
        deskutils/gnome-shell-extension-calculator
        deskutils/gnome-shell-extension-coverflow
        deskutils/gnome-shell-extension-dashtodock
        deskutils/gnome-shell-extension-gtile
        deskutils/gnome-shell-extension-hidetopbar
        deskutils/gnome-shell-extension-lockkeys
        deskutils/gnome-shell-extension-mediaplayer
        deskutils/gnome-shell-extension-openweather
        deskutils/gnome-shell-extension-overlay-icons
        deskutils/gnome-shell-extension-panel-osd
        deskutils/gnome-shell-extension-recent-items
        deskutils/gnome-shell-extension-trash
        deskutils/gnome-shell-extension-weather
        deskutils/gnome-shell-extra-extensions
        deskutils/gnome-sound-recorder
        deskutils/gnome-system-log
        deskutils/gnome-tweak-tool
        deskutils/gnome-weather
        deskutils/labyrinth
        deskutils/nemo-extensions
        www/epiphany-extensions
        x11/gnome-applets
        x11/gnome-panel
        x11/gnome2
        x11-toolkits/gtk-sharp30

- The following ports were hooked to the bulk but didn't exist:

sysutils/tracker-client
sysutils/tracker-gnome
sysutils/tracker-libtrackergtk

- The bulk couldn't start after the previous things fixed because:

[00:06:49] ====>> Error: misc/gnome2-reference depends on nonexistent origin 'x11/gnome-panel-reference'; Please contact maintainer of the port to fix this.

[00:10:38] ====>> Error: x11-toolkits/py-gnome-desktop depends on nonexistent origin 'devel/bug-buddy'; Please contact maintainer of the port to fix this.
Comment 9 Baptiste Daroussin freebsd_committer 2014-11-01 23:18:42 UTC
It's been a long time since we have no news here other changes are waiting on this one can we have any update?
Comment 10 Koop Mast freebsd_committer 2014-11-03 13:39:33 UTC
After getting sucked in by Xorg work, and RL knocking on my door. I'm back to working on updating the gnome 3 patch with some new goodies and fixing the problems listed in this bug. Should take me a few days on producting a new version for the exp-run.
Comment 11 Koop Mast freebsd_committer 2014-11-05 11:19:14 UTC
New patch, also passes make index.

https://people.freebsd.org/~kwm/gnome-3.14-1.diff
SHA256 (gnome-3.14-1.diff) = 0c3ee21132b9b5e892ee858834d6390aad561cde60919b9d39050786736d6bad
Comment 12 Antoine Brodin freebsd_committer 2014-11-05 12:58:01 UTC
Take for exp-run
Comment 13 Antoine Brodin freebsd_committer 2014-11-05 13:36:22 UTC
I unhooked those ports as they are removed:

sysutils/tracker-client
sysutils/tracker-gnome
sysutils/tracker-libtrackergtk

I hooked this new port too:

x11-toolkits/gtk-sharp30
Comment 14 Antoine Brodin freebsd_committer 2014-11-05 13:58:21 UTC
Both archivers/snappy and multimedia/snappy have snappy as PKGBASE.
PKGNAMESUFFIX or PKGNAMEPREFIX has to be added to one of the two
Comment 15 Koop Mast freebsd_committer 2014-11-05 15:34:20 UTC
Ok fixed them localy.
Comment 16 Antoine Brodin freebsd_committer 2014-11-05 16:36:51 UTC
s/%%MAN%%/%%MANPAGES%%/ in sysutils/upower, bulk restarted at http://package18.nyi.freebsd.org/jail.html?mastername=101amd64-default-PR190676
Comment 17 Antoine Brodin freebsd_committer 2014-11-05 21:30:15 UTC
security/gcr is not mono-job safe,  I will relaunch with the patch from this bug report:  https://bugzilla.gnome.org/show_bug.cgi?id=737622 (patch is already committed upstream)
Comment 18 Antoine Brodin freebsd_committer 2014-11-05 21:59:47 UTC
relaunching with s/intltool/intlhack/ in x11-toolkits/gdl too
Comment 19 Antoine Brodin freebsd_committer 2014-11-06 10:45:25 UTC
Exp run results on 10.1 amd64:

http://package18.nyi.freebsd.org/build.html?mastername=101amd64-default-PR190676&build=2014-11-05_22h04m10s

New failures:

+ {"origin"=>"audio/abraca", "pkgname"=>"abraca-0.7.1_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/gimmix", "pkgname"=>"gimmix-0.5.7.1_6", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/padevchooser", "pkgname"=>"padevchooser-0.9.3_8", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"databases/glom", "pkgname"=>"glom-1.24.0_1", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"devel/giggle", "pkgname"=>"giggle-0.7_1", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"devel/glade", "pkgname"=>"glade-3.18.3_1", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"devel/glib20-reference", "pkgname"=>"glib-reference-2.42.0_3", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"devel/glibmm-reference", "pkgname"=>"glibmm-reference-2.42.0_1,1", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/libgit2-glib", "pkgname"=>"libgit2-glib-0.0.20_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/conglomerate", "pkgname"=>"conglomerate-0.9.1_12", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"ftp/gwget", "pkgname"=>"gwget-1.0.4_8", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"graphics/gthumb", "pkgname"=>"gthumb-2.14.1_11", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"lang/squeak", "pkgname"=>"squeak-4.10.2_1", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"mail/mboxcheck-applet", "pkgname"=>"mboxcheck-applet-0.3_12", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"sysutils/bamf", "pkgname"=>"bamf-0.5.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/bluefish", "pkgname"=>"bluefish-2.2.6", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"www/deforaos-surfer", "pkgname"=>"deforaos-surfer-0.2.6_2", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"x11-toolkits/granite", "pkgname"=>"granite-0.2.3.1_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/gtk30-reference", "pkgname"=>"gtk3-reference-3.14.3_2", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"x11/sakura", "pkgname"=>"sakura-3.1.5", "phase"=>"configure", "errortype"=>"???"}

Failure logs:

http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/abraca-0.7.1_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/gimmix-0.5.7.1_6.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/padevchooser-0.9.3_8.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/glom-1.24.0_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/giggle-0.7_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/glade-3.18.3_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/glib-reference-2.42.0_3.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/glibmm-reference-2.42.0_1,1.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/libgit2-glib-0.0.20_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/conglomerate-0.9.1_12.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/gwget-1.0.4_8.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/gthumb-2.14.1_11.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/squeak-4.10.2_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/mboxcheck-applet-0.3_12.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/bamf-0.5.0.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/bluefish-2.2.6.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/deforaos-surfer-0.2.6_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/granite-0.2.3.1_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/gtk3-reference-3.14.3_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-05_22h04m10s/logs/errors/sakura-3.1.5.log

I also launched the exp-run on 9.1 amd64 at  http://package22.nyi.freebsd.org/build.html?mastername=91amd64-default-PR190676&build=2014-11-05_23h59m21s
Comment 20 Antoine Brodin freebsd_committer 2014-11-07 06:30:42 UTC
Exp-run results on 9.1 amd64:

http://package22.nyi.freebsd.org/build.html?mastername=91amd64-default-PR190676&build=2014-11-05_23h59m21s

New failures:

+ {"origin"=>"audio/abraca", "pkgname"=>"abraca-0.7.1_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/gimmix", "pkgname"=>"gimmix-0.5.7.1_6", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"audio/padevchooser", "pkgname"=>"padevchooser-0.9.3_8", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"deskutils/gnome-clocks", "pkgname"=>"gnome-clocks-3.14.1", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"devel/appstream-glib", "pkgname"=>"appstream-glib-0.2.6", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"devel/glib20-reference", "pkgname"=>"glib-reference-2.42.0_3", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"devel/glibmm-reference", "pkgname"=>"glibmm-reference-2.42.0_1,1", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/gvfs", "pkgname"=>"gvfs-1.20.3", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/libgit2-glib", "pkgname"=>"libgit2-glib-0.0.20_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/py-gobject3", "pkgname"=>"py27-gobject3-3.14.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/py3-gobject3", "pkgname"=>"py33-gobject3-3.14.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/open-vm-tools", "pkgname"=>"open-vm-tools-1280544_8,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/open-vm-tools-nox11", "pkgname"=>"open-vm-tools-nox11-1280544_8,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/gjs", "pkgname"=>"gjs-1.42.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/squeak", "pkgname"=>"squeak-4.10.2_1", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"net-im/telepathy-qt4", "pkgname"=>"telepathy-qt4-0.9.4", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"www/webkit-gtk2", "pkgname"=>"webkit-gtk2-1.8.3_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/webkit-gtk3", "pkgname"=>"webkit-gtk3-2.4.6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/granite", "pkgname"=>"granite-0.2.3.1_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/gtk30-reference", "pkgname"=>"gtk3-reference-3.14.3_2", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"x11-toolkits/vte3", "pkgname"=>"vte3-0.38.0", "phase"=>"build", "errortype"=>"termios"}

Lots of ports were skipped due to gvfs (may need libarchive from ports on freebsd < 10?),  webkit-gtk* (replace LOCALBASE/bin/gperf with $GPERF in post-patch?) and py*-gobject3

Failure logs:

http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/abraca-0.7.1_1.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/gimmix-0.5.7.1_6.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/padevchooser-0.9.3_8.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/gnome-clocks-3.14.1.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/appstream-glib-0.2.6.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/glib-reference-2.42.0_3.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/glibmm-reference-2.42.0_1,1.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/gvfs-1.20.3.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/libgit2-glib-0.0.20_1.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/py27-gobject3-3.14.0.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/py33-gobject3-3.14.0.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/open-vm-tools-1280544_8,1.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/open-vm-tools-nox11-1280544_8,1.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/gjs-1.42.0.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/squeak-4.10.2_1.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/telepathy-qt4-0.9.4.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/webkit-gtk2-1.8.3_6.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/webkit-gtk3-2.4.6.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/granite-0.2.3.1_2.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/gtk3-reference-3.14.3_2.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-05_23h59m21s/logs/errors/vte3-0.38.0.log
Comment 21 Olivier Duchateau freebsd_committer 2014-11-07 17:15:00 UTC
I wonder, why www/webkit-gtk3 is 2.4.6, whereas 2.4.7 is available, and fixes SSL3 against POODLE vulnerability.
I already send message to kwm@ (without response) www/webkit-gtk3 build failed under 9.3, and in my own repository I fixed build.

Be careful www/webkit-gtk3 is very instable for www/midori (when GTK3 option is set, often crashed).

Next time, it would be nice if in future you inform also maintainers of ports which failed, perhaps they've corrections.

I'm maintainer of sysutils/bamf and x11-toolkits/plank, I can provide update of these 2 ports.
Comment 22 Koop Mast freebsd_committer 2014-11-07 19:50:27 UTC
New patch, with the new webkit. Thanks olivier for the headup.

SHA512 (gnome-3.14-3.diff) = ca7a132009afe4ccd4f4e879912e56e5cf39ae719f2893dc7d9ebe3ca718552385bca40e1dc34b6c42a2ebf56b53ebd98423b457c4f3b3371788a48296dbca63
Comment 23 Koop Mast freebsd_committer 2014-11-07 19:51:33 UTC
The patch is here:
https://people.freebsd.org/~kwm/gnome-3.14-3.diff
Comment 24 Antoine Brodin freebsd_committer 2014-11-08 07:24:10 UTC
Exp-run results on 10.1 amd64:

http://package18.nyi.freebsd.org/build.html?mastername=101amd64-default-PR190676&build=2014-11-07_21h18m04s

Results look fine,  only 2 new failures:

+ {"origin"=>"devel/libgit2-glib", "pkgname"=>"libgit2-glib-0.0.20_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/deforaos-surfer", "pkgname"=>"deforaos-surfer-0.2.6_2", "phase"=>"build", "errortype"=>"gcc4_error"}

Failure logs:

http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-07_21h18m04s/logs/errors/libgit2-glib-0.0.20_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR190676/2014-11-07_21h18m04s/logs/errors/deforaos-surfer-0.2.6_2.log
Comment 25 Antoine Brodin freebsd_committer 2014-11-09 06:25:56 UTC
Exp-run results on 9.1 amd64:

http://package22.nyi.freebsd.org/build.html?mastername=91amd64-default-PR190676&build=2014-11-08_11h48m49s

6 new failures:

+ {"origin"=>"databases/evolution-data-server", "pkgname"=>"evolution-data-server-3.12.7", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"devel/appdata-tools", "pkgname"=>"appdata-tools-0.1.8", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"devel/libgit2-glib", "pkgname"=>"libgit2-glib-0.0.20_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/evince", "pkgname"=>"evince-3.14.0", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"net-im/telepathy-qt4", "pkgname"=>"telepathy-qt4-0.9.4", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"www/deforaos-surfer", "pkgname"=>"deforaos-surfer-0.2.6_2", "phase"=>"build", "errortype"=>"compiler_error"}

Failure logs of the 4 ports blocking kde4, gnome3 and gnome3-lite:

http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-08_11h48m49s/logs/errors/evolution-data-server-3.12.7.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-08_11h48m49s/logs/errors/appdata-tools-0.1.8.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-08_11h48m49s/logs/errors/evince-3.14.0.log
http://package22.nyi.freebsd.org/data/91amd64-default-PR190676/2014-11-08_11h48m49s/logs/errors/telepathy-qt4-0.9.4.log
Comment 26 Antoine Brodin freebsd_committer 2014-11-09 20:32:51 UTC
With:

svn revert -R databases/evolution-data-server devel/appdata-tools graphics/evince net-im/telepathy-qt4 x11/gnome-terminal
+
patch from https://people.freebsd.org/~kwm/eds-appdata-evince-3.14.diff
+
REINPLACE fixed in appdata-tools
+
compiler:c11 added to USES of x11/gnome-shell
+
compiler:c++11-lib added to USES of graphics/evince
+
patch from https://people.freebsd.org/~kwm/gnome-terminal-9x.diff

the results are at:

http://package22.nyi.freebsd.org/build.html?mastername=91amd64-default-PR190676&build=2014-11-09_19h28m45s

We are back to the same 2 failures on 9.1 as on 10.1:

+ {"origin"=>"devel/libgit2-glib", "pkgname"=>"libgit2-glib-0.0.20_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/deforaos-surfer", "pkgname"=>"deforaos-surfer-0.2.6_2", "phase"=>"build", "errortype"=>"compiler_error"}

You can either fix them or mark them BROKEN,  and go for it
Comment 27 Baptiste Daroussin freebsd_committer 2014-11-09 21:59:09 UTC
I do think that is what we should do